Prepare 4.5.0-SNAPSHOT builds

Change-Id: I572fe9fea0e5ca0bec4648c916ae95a5b1ccf125
Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
diff --git a/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
index 08ae94a..6ddc85d 100644
--- a/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
@@ -3,14 +3,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.ant.test
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Import-Package: org.apache.tools.ant,
- org.eclipse.jgit.ant.tasks;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.junit;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
+ org.eclipse.jgit.ant.tasks;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.junit;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
  org.hamcrest;version="[1.1.0,2.0.0)",
  org.junit;version="[4.0.0,5.0.0)"
diff --git a/org.eclipse.jgit.ant.test/pom.xml b/org.eclipse.jgit.ant.test/pom.xml
index 4d7466e..a35f8ae 100644
--- a/org.eclipse.jgit.ant.test/pom.xml
+++ b/org.eclipse.jgit.ant.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.ant.test</artifactId>
diff --git a/org.eclipse.jgit.ant/META-INF/MANIFEST.MF b/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
index 98d618b..3682564 100644
--- a/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.jgit.ant
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Import-Package: org.apache.tools.ant,
-  org.eclipse.jgit.storage.file;version="[4.4.0,4.5.0)"
+  org.eclipse.jgit.storage.file;version="[4.5.0,4.6.0)"
 Bundle-Localization: plugin
 Bundle-Vendor: %Provider-Name
-Export-Package: org.eclipse.jgit.ant.tasks;version="4.4.0";
+Export-Package: org.eclipse.jgit.ant.tasks;version="4.5.0";
  uses:="org.apache.tools.ant.types,org.apache.tools.ant"
diff --git a/org.eclipse.jgit.ant/pom.xml b/org.eclipse.jgit.ant/pom.xml
index 6a603d0..735f76a 100644
--- a/org.eclipse.jgit.ant/pom.xml
+++ b/org.eclipse.jgit.ant/pom.xml
@@ -48,7 +48,7 @@
 	<parent>
 		<groupId>org.eclipse.jgit</groupId>
 		<artifactId>org.eclipse.jgit-parent</artifactId>
-		<version>4.4.0-SNAPSHOT</version>
+		<version>4.5.0-SNAPSHOT</version>
 	</parent>
 
 	<artifactId>org.eclipse.jgit.ant</artifactId>
diff --git a/org.eclipse.jgit.archive/META-INF/MANIFEST.MF b/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
index 99482ff..1c77b98 100644
--- a/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.archive
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -12,14 +12,14 @@
  org.apache.commons.compress.compressors.bzip2;version="[1.4,2.0)",
  org.apache.commons.compress.compressors.gzip;version="[1.4,2.0)",
  org.apache.commons.compress.compressors.xz;version="[1.4,2.0)",
- org.eclipse.jgit.api;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
+ org.eclipse.jgit.api;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
  org.osgi.framework;version="[1.3.0,2.0.0)"
 Bundle-ActivationPolicy: lazy
 Bundle-Activator: org.eclipse.jgit.archive.FormatActivator
-Export-Package: org.eclipse.jgit.archive;version="4.4.0";
+Export-Package: org.eclipse.jgit.archive;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.api,
    org.apache.commons.compress.archivers,
diff --git a/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
index d4dc56c..38a2298 100644
--- a/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit.archive - Sources
 Bundle-SymbolicName: org.eclipse.jgit.archive.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 4.4.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit.archive;version="4.4.0.qualifier";roots="."
+Bundle-Version: 4.5.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit.archive;version="4.5.0.qualifier";roots="."
diff --git a/org.eclipse.jgit.archive/pom.xml b/org.eclipse.jgit.archive/pom.xml
index b371c5b..14b6f49 100644
--- a/org.eclipse.jgit.archive/pom.xml
+++ b/org.eclipse.jgit.archive/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.archive</artifactId>
diff --git a/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
index 8ce678d..72865ab 100644
--- a/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.jgit.http.apache
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Bundle-Localization: plugin
 Bundle-Vendor: %Provider-Name
@@ -19,10 +19,10 @@
  org.apache.http.impl.client;version="[4.1.0,5.0.0)",
  org.apache.http.impl.client.cache;version="[4.1.0,5.0.0)",
  org.apache.http.params;version="[4.1.0,5.0.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.http;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)"
-Export-Package: org.eclipse.jgit.transport.http.apache;version="4.4.0";
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.http;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)"
+Export-Package: org.eclipse.jgit.transport.http.apache;version="4.5.0";
   uses:="org.eclipse.jgit.transport.http,
    javax.net.ssl,
    org.apache.http.client,
diff --git a/org.eclipse.jgit.http.apache/pom.xml b/org.eclipse.jgit.http.apache/pom.xml
index 4b5c19a..b1e5c87 100644
--- a/org.eclipse.jgit.http.apache/pom.xml
+++ b/org.eclipse.jgit.http.apache/pom.xml
@@ -48,7 +48,7 @@
 	<parent>
 		<groupId>org.eclipse.jgit</groupId>
 		<artifactId>org.eclipse.jgit-parent</artifactId>
-		<version>4.4.0-SNAPSHOT</version>
+		<version>4.5.0-SNAPSHOT</version>
 	</parent>
 
 	<artifactId>org.eclipse.jgit.http.apache</artifactId>
diff --git a/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
index 658b627..cf5ec14 100644
--- a/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.http.server
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
-Export-Package: org.eclipse.jgit.http.server;version="4.4.0",
- org.eclipse.jgit.http.server.glue;version="4.4.0";
+Export-Package: org.eclipse.jgit.http.server;version="4.5.0",
+ org.eclipse.jgit.http.server.glue;version="4.5.0";
   uses:="javax.servlet,javax.servlet.http",
- org.eclipse.jgit.http.server.resolver;version="4.4.0";
+ org.eclipse.jgit.http.server.resolver;version="4.5.0";
   uses:="org.eclipse.jgit.transport.resolver,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.transport,
@@ -17,12 +17,12 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Import-Package: javax.servlet;version="[2.5.0,3.2.0)",
  javax.servlet.http;version="[2.5.0,3.2.0)",
- org.eclipse.jgit.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.dfs;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.resolver;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)"
+ org.eclipse.jgit.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.dfs;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)"
diff --git a/org.eclipse.jgit.http.server/pom.xml b/org.eclipse.jgit.http.server/pom.xml
index 513d590..a344bae 100644
--- a/org.eclipse.jgit.http.server/pom.xml
+++ b/org.eclipse.jgit.http.server/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.http.server</artifactId>
diff --git a/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
index 253679b..35bb383 100644
--- a/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.http.test
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -22,24 +22,24 @@
  org.eclipse.jetty.util.log;version="[9.0.0,10.0.0)",
  org.eclipse.jetty.util.security;version="[9.0.0,10.0.0)",
  org.eclipse.jetty.util.thread;version="[9.0.0,10.0.0)",
- org.eclipse.jgit.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.http.server;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.http.server.glue;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.http.server.resolver;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.dfs;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.junit;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.junit.http;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.http;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.http.apache;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.resolver;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
+ org.eclipse.jgit.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.http.server;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.http.server.glue;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.http.server.resolver;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.dfs;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.junit;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.junit.http;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.http;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.http.apache;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
  org.hamcrest.core;version="[1.1.0,2.0.0)",
  org.junit;version="[4.0.0,5.0.0)",
  org.junit.runner;version="[4.0.0,5.0.0)",
diff --git a/org.eclipse.jgit.http.test/pom.xml b/org.eclipse.jgit.http.test/pom.xml
index 69ffe49..1a728a0 100644
--- a/org.eclipse.jgit.http.test/pom.xml
+++ b/org.eclipse.jgit.http.test/pom.xml
@@ -51,7 +51,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.http.test</artifactId>
diff --git a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
index 63a8b56..3b306ef 100644
--- a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.junit.http
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
@@ -20,16 +20,16 @@
  org.eclipse.jetty.util.component;version="[9.0.0,10.0.0)",
  org.eclipse.jetty.util.log;version="[9.0.0,10.0.0)",
  org.eclipse.jetty.util.security;version="[9.0.0,10.0.0)",
- org.eclipse.jgit.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.http.server;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.junit;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.resolver;version="[4.4.0,4.5.0)",
+ org.eclipse.jgit.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.http.server;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.junit;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[4.5.0,4.6.0)",
  org.junit;version="[4.0.0,5.0.0)"
-Export-Package: org.eclipse.jgit.junit.http;version="4.4.0";
+Export-Package: org.eclipse.jgit.junit.http;version="4.5.0";
   uses:="org.eclipse.jgit.transport,
    org.eclipse.jgit.junit,
    javax.servlet.http,
diff --git a/org.eclipse.jgit.junit.http/pom.xml b/org.eclipse.jgit.junit.http/pom.xml
index 0c2a947..1f8f39f 100644
--- a/org.eclipse.jgit.junit.http/pom.xml
+++ b/org.eclipse.jgit.junit.http/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.junit.http</artifactId>
diff --git a/org.eclipse.jgit.junit/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
index 874f2c6..8a010fc 100644
--- a/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
@@ -2,27 +2,27 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.junit
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Import-Package: org.eclipse.jgit.api;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.api.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.dircache;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.pack;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.merge;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.treewalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.treewalk.filter;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util.io;version="[4.4.0,4.5.0)",
+Import-Package: org.eclipse.jgit.api;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.api.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.dircache;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.merge;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.treewalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.treewalk.filter;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util.io;version="[4.5.0,4.6.0)",
  org.junit;version="[4.0.0,5.0.0)"
-Export-Package: org.eclipse.jgit.junit;version="4.4.0";
+Export-Package: org.eclipse.jgit.junit;version="4.5.0";
   uses:="org.eclipse.jgit.dircache,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
diff --git a/org.eclipse.jgit.junit/pom.xml b/org.eclipse.jgit.junit/pom.xml
index 35bae0f..ec7baab 100644
--- a/org.eclipse.jgit.junit/pom.xml
+++ b/org.eclipse.jgit.junit/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.junit</artifactId>
diff --git a/org.eclipse.jgit.lfs.server.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.lfs.server.test/META-INF/MANIFEST.MF
index 2a61378..f9cfd8f 100644
--- a/org.eclipse.jgit.lfs.server.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.lfs.server.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.lfs.server.test
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -27,11 +27,11 @@
  org.eclipse.jetty.util.log;version="[9.0.0,10.0.0)",
  org.eclipse.jetty.util.security;version="[9.0.0,10.0.0)",
  org.eclipse.jetty.util.thread;version="[9.0.0,10.0.0)",
- org.eclipse.jgit.junit.http;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.server.fs;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.test;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
+ org.eclipse.jgit.junit.http;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.server.fs;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.test;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
  org.hamcrest.core;version="[1.1.0,2.0.0)",
  org.junit;version="[4.0.0,5.0.0)",
  org.junit.runner;version="[4.0.0,5.0.0)",
diff --git a/org.eclipse.jgit.lfs.server.test/pom.xml b/org.eclipse.jgit.lfs.server.test/pom.xml
index 5d55701..02096bb 100644
--- a/org.eclipse.jgit.lfs.server.test/pom.xml
+++ b/org.eclipse.jgit.lfs.server.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.lfs.server.test</artifactId>
diff --git a/org.eclipse.jgit.lfs.server/META-INF/MANIFEST.MF b/org.eclipse.jgit.lfs.server/META-INF/MANIFEST.MF
index 0ccdc28..a97194d 100644
--- a/org.eclipse.jgit.lfs.server/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.lfs.server/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.lfs.server
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
-Export-Package: org.eclipse.jgit.lfs.server;version="4.4.0";
+Export-Package: org.eclipse.jgit.lfs.server;version="4.5.0";
   uses:="javax.servlet.http,
    org.eclipse.jgit.lfs.lib",
- org.eclipse.jgit.lfs.server.fs;version="4.4.0";
+ org.eclipse.jgit.lfs.server.fs;version="4.5.0";
   uses:="javax.servlet,
    javax.servlet.http,
    org.eclipse.jgit.lfs.server,
    org.eclipse.jgit.lfs.lib",
- org.eclipse.jgit.lfs.server.internal;version="4.4.0";x-internal:=true,
- org.eclipse.jgit.lfs.server.s3;version="4.4.0";
+ org.eclipse.jgit.lfs.server.internal;version="4.5.0";x-internal:=true,
+ org.eclipse.jgit.lfs.server.s3;version="4.5.0";
   uses:="org.eclipse.jgit.lfs.server,
    org.eclipse.jgit.lfs.lib"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -24,12 +24,12 @@
  javax.servlet.http;version="[3.1.0,4.0.0)",
  org.apache.http;version="[4.3.0,5.0.0)",
  org.apache.http.client;version="[4.3.0,5.0.0)",
- org.eclipse.jgit.annotations;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.http;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.http.apache;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)"
+ org.eclipse.jgit.annotations;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.http;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.http.apache;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)"
diff --git a/org.eclipse.jgit.lfs.server/pom.xml b/org.eclipse.jgit.lfs.server/pom.xml
index b56eb59..7956db0 100644
--- a/org.eclipse.jgit.lfs.server/pom.xml
+++ b/org.eclipse.jgit.lfs.server/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.lfs.server</artifactId>
diff --git a/org.eclipse.jgit.lfs.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.lfs.test/META-INF/MANIFEST.MF
index 5fa9248..0fb141c 100644
--- a/org.eclipse.jgit.lfs.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.lfs.test/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.lfs.test
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Import-Package: org.eclipse.jgit.junit;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
+Import-Package: org.eclipse.jgit.junit;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
  org.hamcrest.core;version="[1.1.0,2.0.0)",
  org.junit;version="[4.0.0,5.0.0)",
  org.junit.runner;version="[4.0.0,5.0.0)",
  org.junit.runners;version="[4.0.0,5.0.0)"
-Export-Package: org.eclipse.jgit.lfs.test;version="4.4.0";x-friends:="org.eclipse.jgit.lfs.server.test"
+Export-Package: org.eclipse.jgit.lfs.test;version="4.5.0";x-friends:="org.eclipse.jgit.lfs.server.test"
 
diff --git a/org.eclipse.jgit.lfs.test/pom.xml b/org.eclipse.jgit.lfs.test/pom.xml
index 7d7cc95..7fd4074 100644
--- a/org.eclipse.jgit.lfs.test/pom.xml
+++ b/org.eclipse.jgit.lfs.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.lfs.test</artifactId>
diff --git a/org.eclipse.jgit.lfs/META-INF/MANIFEST.MF b/org.eclipse.jgit.lfs/META-INF/MANIFEST.MF
index ab36c91..09580f3 100644
--- a/org.eclipse.jgit.lfs/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.lfs/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.lfs
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
-Export-Package: org.eclipse.jgit.lfs.errors;version="4.4.0",
- org.eclipse.jgit.lfs.internal;version="4.4.0";x-friends:="org.eclipse.jgit.lfs.test",
- org.eclipse.jgit.lfs.lib;version="4.4.0"
+Export-Package: org.eclipse.jgit.lfs.errors;version="4.5.0",
+ org.eclipse.jgit.lfs.internal;version="4.5.0";x-friends:="org.eclipse.jgit.lfs.test",
+ org.eclipse.jgit.lfs.lib;version="4.5.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Import-Package: org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)"
+Import-Package: org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)"
diff --git a/org.eclipse.jgit.lfs/pom.xml b/org.eclipse.jgit.lfs/pom.xml
index f264ca2..94ad085 100644
--- a/org.eclipse.jgit.lfs/pom.xml
+++ b/org.eclipse.jgit.lfs/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.lfs</artifactId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
index 8bc8e12..869c922 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit"
       label="%featureName"
-      version="4.4.0.qualifier"
+      version="4.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
index fbfba38..9a7d976 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
index 278098c..3c3125b 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.http.apache"
       label="%featureName"
-      version="4.4.0.qualifier"
+      version="4.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
index d138eb4..68c569f 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
index 14eb8fd..2821f69 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.junit"
       label="%featureName"
-      version="4.4.0.qualifier"
+      version="4.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
index ae04e00..55a50a0 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/feature.xml
index 86166d4..fba7815 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.lfs"
       label="%featureName"
-      version="4.4.0.qualifier"
+      version="4.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/pom.xml
index 33760e1..01fc1b4 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
index 3d0e9f2..18410fc 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.pgm"
       label="%featureName"
-      version="4.4.0.qualifier"
+      version="4.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
@@ -31,8 +31,8 @@
          version="0.0.0"/>
 
    <requires>
-      <import feature="org.eclipse.jgit" version="4.4.0" match="equivalent"/>
-      <import feature="org.eclipse.jgit.lfs" version="4.4.0" match="equivalent"/>
+      <import feature="org.eclipse.jgit" version="4.5.0" match="equivalent"/>
+      <import feature="org.eclipse.jgit.lfs" version="4.5.0" match="equivalent"/>
    </requires>
 
    <plugin
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
index ca24de0..39c915e 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
index 4173a1c..34b4a39 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.pgm.source"
       label="%featureName"
-      version="4.4.0.qualifier"
+      version="4.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
index 4006866..e5cc121 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
index cc41128..2c05c94 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.repository</artifactId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
index f63414b..1ccd7bb 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.source"
       label="%featureName"
-      version="4.4.0.qualifier"
+      version="4.5.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
index e2dbeb0..f88073b 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
index 46acbcb..88509ac 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
@@ -2,4 +2,4 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: JGit Target Platform Bundle
 Bundle-SymbolicName: org.eclipse.jgit.target
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
index c93065c..cf0234a 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
@@ -49,7 +49,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.target</artifactId>
diff --git a/org.eclipse.jgit.packaging/pom.xml b/org.eclipse.jgit.packaging/pom.xml
index a3d7d73..5b2e3da 100644
--- a/org.eclipse.jgit.packaging/pom.xml
+++ b/org.eclipse.jgit.packaging/pom.xml
@@ -53,7 +53,7 @@
 
   <groupId>org.eclipse.jgit</groupId>
   <artifactId>jgit.tycho.parent</artifactId>
-  <version>4.4.0-SNAPSHOT</version>
+  <version>4.5.0-SNAPSHOT</version>
   <packaging>pom</packaging>
 
   <name>JGit Tycho Parent</name>
diff --git a/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
index 286c6d9..808541a 100644
--- a/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
@@ -2,28 +2,28 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.pgm.test
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Import-Package: org.eclipse.jgit.api;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.api.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.diff;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.dircache;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="4.4.0",
- org.eclipse.jgit.junit;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.merge;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.pgm;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.pgm.internal;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.pgm.opt;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.treewalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util.io;version="[4.4.0,4.5.0)",
+Import-Package: org.eclipse.jgit.api;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.api.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.diff;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.dircache;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="4.5.0",
+ org.eclipse.jgit.junit;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.merge;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.pgm;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.pgm.internal;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.pgm.opt;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.treewalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util.io;version="[4.5.0,4.6.0)",
  org.hamcrest.core;bundle-version="[1.1.0,2.0.0)",
  org.junit;version="[4.11.0,5.0.0)",
  org.junit.rules;version="[4.11.0,5.0.0)",
diff --git a/org.eclipse.jgit.pgm.test/pom.xml b/org.eclipse.jgit.pgm.test/pom.xml
index ad4a3d4..11039bb 100644
--- a/org.eclipse.jgit.pgm.test/pom.xml
+++ b/org.eclipse.jgit.pgm.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.pgm.test</artifactId>
diff --git a/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF b/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
index 17dd980..1c61f7c 100644
--- a/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.pgm
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
 Bundle-Localization: plugin
@@ -26,45 +26,45 @@
  org.eclipse.jetty.util.log;version="[9.0.0,10.0.0)",
  org.eclipse.jetty.util.security;version="[9.0.0,10.0.0)",
  org.eclipse.jetty.util.thread;version="[9.0.0,10.0.0)",
- org.eclipse.jgit.api;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.api.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.archive;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.awtui;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.blame;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.diff;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.dircache;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.gitrepo;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.ketch;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.pack;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.reftree;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.server;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.server.fs;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lfs.server.s3;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.merge;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.notes;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revplot;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk.filter;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.storage.pack;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.http.apache;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.resolver;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.treewalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.treewalk.filter;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util.io;version="[4.4.0,4.5.0)",
+ org.eclipse.jgit.api;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.api.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.archive;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.awtui;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.blame;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.diff;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.dircache;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.gitrepo;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.ketch;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.reftree;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.server;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.server.fs;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lfs.server.s3;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.merge;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.notes;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revplot;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk.filter;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.storage.pack;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.http.apache;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.treewalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.treewalk.filter;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util.io;version="[4.5.0,4.6.0)",
  org.kohsuke.args4j;version="[2.0.12,2.1.0)",
  org.kohsuke.args4j.spi;version="[2.0.15,2.1.0)"
-Export-Package: org.eclipse.jgit.console;version="4.4.0";
+Export-Package: org.eclipse.jgit.console;version="4.5.0";
   uses:="org.eclipse.jgit.transport,
    org.eclipse.jgit.util",
- org.eclipse.jgit.pgm;version="4.4.0";
+ org.eclipse.jgit.pgm;version="4.5.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.pgm.opt,
@@ -75,11 +75,11 @@
    org.eclipse.jgit.treewalk,
    javax.swing,
    org.eclipse.jgit.transport",
- org.eclipse.jgit.pgm.debug;version="4.4.0";
+ org.eclipse.jgit.pgm.debug;version="4.5.0";
   uses:="org.eclipse.jgit.util.io,
    org.eclipse.jgit.pgm",
- org.eclipse.jgit.pgm.internal;version="4.4.0";x-friends:="org.eclipse.jgit.pgm.test,org.eclipse.jgit.test",
- org.eclipse.jgit.pgm.opt;version="4.4.0";
+ org.eclipse.jgit.pgm.internal;version="4.5.0";x-friends:="org.eclipse.jgit.pgm.test,org.eclipse.jgit.test",
+ org.eclipse.jgit.pgm.opt;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.kohsuke.args4j.spi,
diff --git a/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
index b4a85e5..f803d3a 100644
--- a/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit.pgm - Sources
 Bundle-SymbolicName: org.eclipse.jgit.pgm.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 4.4.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit.pgm;version="4.4.0.qualifier";roots="."
+Bundle-Version: 4.5.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit.pgm;version="4.5.0.qualifier";roots="."
diff --git a/org.eclipse.jgit.pgm/pom.xml b/org.eclipse.jgit.pgm/pom.xml
index 5157344..8ccd2de 100644
--- a/org.eclipse.jgit.pgm/pom.xml
+++ b/org.eclipse.jgit.pgm/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.pgm</artifactId>
diff --git a/org.eclipse.jgit.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.test/META-INF/MANIFEST.MF
index 0dc6b61..a4a3368 100644
--- a/org.eclipse.jgit.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.test/META-INF/MANIFEST.MF
@@ -2,52 +2,52 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.test
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Import-Package: com.googlecode.javaewah;version="[0.7.9,0.8.0)",
- org.eclipse.jgit.api;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.api.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.attributes;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.awtui;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.blame;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.diff;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.dircache;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.events;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.fnmatch;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.gitrepo;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.hooks;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.ignore;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.ignore.internal;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.dfs;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.pack;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.internal.storage.reftree;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.junit;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.merge;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.notes;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.patch;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.pgm;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.pgm.internal;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revplot;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk.filter;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.storage.file;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.storage.pack;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.submodule;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.http;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport.resolver;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.treewalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.treewalk.filter;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util.io;version="[4.4.0,4.5.0)",
+ org.eclipse.jgit.api;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.api.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.attributes;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.awtui;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.blame;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.diff;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.dircache;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.events;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.fnmatch;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.gitrepo;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.hooks;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.ignore;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.ignore.internal;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.dfs;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.internal.storage.reftree;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.junit;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.merge;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.notes;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.patch;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.pgm;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.pgm.internal;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revplot;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk.filter;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.storage.file;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.storage.pack;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.submodule;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.http;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport.resolver;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.treewalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.treewalk.filter;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util.io;version="[4.5.0,4.6.0)",
  org.hamcrest;version="[1.1.0,2.0.0)",
  org.junit;version="[4.4.0,5.0.0)",
  org.junit.experimental.theories;version="[4.4.0,5.0.0)",
diff --git a/org.eclipse.jgit.test/pom.xml b/org.eclipse.jgit.test/pom.xml
index bf92211..38e2257 100644
--- a/org.eclipse.jgit.test/pom.xml
+++ b/org.eclipse.jgit.test/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.test</artifactId>
diff --git a/org.eclipse.jgit.ui/META-INF/MANIFEST.MF b/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
index b1c6503..5a07886 100644
--- a/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
@@ -3,14 +3,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit.ui
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Export-Package: org.eclipse.jgit.awtui;version="4.4.0"
-Import-Package: org.eclipse.jgit.errors;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.lib;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.nls;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revplot;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.revwalk;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.transport;version="[4.4.0,4.5.0)",
- org.eclipse.jgit.util;version="[4.4.0,4.5.0)"
+Export-Package: org.eclipse.jgit.awtui;version="4.5.0"
+Import-Package: org.eclipse.jgit.errors;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.lib;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.nls;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revplot;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.revwalk;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.transport;version="[4.5.0,4.6.0)",
+ org.eclipse.jgit.util;version="[4.5.0,4.6.0)"
diff --git a/org.eclipse.jgit.ui/pom.xml b/org.eclipse.jgit.ui/pom.xml
index 2784a94..3aa4c88 100644
--- a/org.eclipse.jgit.ui/pom.xml
+++ b/org.eclipse.jgit.ui/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.ui</artifactId>
diff --git a/org.eclipse.jgit/META-INF/MANIFEST.MF b/org.eclipse.jgit/META-INF/MANIFEST.MF
index a3d1a92..2b412a7 100644
--- a/org.eclipse.jgit/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %plugin_name
 Bundle-SymbolicName: org.eclipse.jgit
-Bundle-Version: 4.4.0.qualifier
+Bundle-Version: 4.5.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.jgit.annotations;version="4.4.0",
- org.eclipse.jgit.api;version="4.4.0";
+Export-Package: org.eclipse.jgit.annotations;version="4.5.0",
+ org.eclipse.jgit.api;version="4.5.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff,
@@ -21,50 +21,50 @@
    org.eclipse.jgit.submodule,
    org.eclipse.jgit.transport,
    org.eclipse.jgit.merge",
- org.eclipse.jgit.api.errors;version="4.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.errors",
- org.eclipse.jgit.attributes;version="4.4.0",
- org.eclipse.jgit.blame;version="4.4.0";
+ org.eclipse.jgit.api.errors;version="4.5.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.errors",
+ org.eclipse.jgit.attributes;version="4.5.0",
+ org.eclipse.jgit.blame;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff",
- org.eclipse.jgit.diff;version="4.4.0";
+ org.eclipse.jgit.diff;version="4.5.0";
   uses:="org.eclipse.jgit.patch,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util",
- org.eclipse.jgit.dircache;version="4.4.0";
+ org.eclipse.jgit.dircache;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.util,
    org.eclipse.jgit.events,
    org.eclipse.jgit.attributes",
- org.eclipse.jgit.errors;version="4.4.0";
+ org.eclipse.jgit.errors;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.internal.storage.pack,
    org.eclipse.jgit.transport,
    org.eclipse.jgit.dircache",
- org.eclipse.jgit.events;version="4.4.0";uses:="org.eclipse.jgit.lib",
- org.eclipse.jgit.fnmatch;version="4.4.0",
- org.eclipse.jgit.gitrepo;version="4.4.0";
+ org.eclipse.jgit.events;version="4.5.0";uses:="org.eclipse.jgit.lib",
+ org.eclipse.jgit.fnmatch;version="4.5.0",
+ org.eclipse.jgit.gitrepo;version="4.5.0";
   uses:="org.eclipse.jgit.api,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.xml.sax.helpers,
    org.xml.sax",
- org.eclipse.jgit.gitrepo.internal;version="4.4.0";x-internal:=true,
- org.eclipse.jgit.hooks;version="4.4.0";uses:="org.eclipse.jgit.lib",
- org.eclipse.jgit.ignore;version="4.4.0",
- org.eclipse.jgit.ignore.internal;version="4.4.0";x-friends:="org.eclipse.jgit.test",
- org.eclipse.jgit.internal;version="4.4.0";x-friends:="org.eclipse.jgit.test,org.eclipse.jgit.http.test",
- org.eclipse.jgit.internal.ketch;version="4.4.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
- org.eclipse.jgit.internal.storage.dfs;version="4.4.0";
+ org.eclipse.jgit.gitrepo.internal;version="4.5.0";x-internal:=true,
+ org.eclipse.jgit.hooks;version="4.5.0";uses:="org.eclipse.jgit.lib",
+ org.eclipse.jgit.ignore;version="4.5.0",
+ org.eclipse.jgit.ignore.internal;version="4.5.0";x-friends:="org.eclipse.jgit.test",
+ org.eclipse.jgit.internal;version="4.5.0";x-friends:="org.eclipse.jgit.test,org.eclipse.jgit.http.test",
+ org.eclipse.jgit.internal.ketch;version="4.5.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
+ org.eclipse.jgit.internal.storage.dfs;version="4.5.0";
   x-friends:="org.eclipse.jgit.test,
    org.eclipse.jgit.http.server,
    org.eclipse.jgit.http.test",
- org.eclipse.jgit.internal.storage.file;version="4.4.0";
+ org.eclipse.jgit.internal.storage.file;version="4.5.0";
   x-friends:="org.eclipse.jgit.test,
    org.eclipse.jgit.junit,
    org.eclipse.jgit.junit.http,
@@ -72,9 +72,9 @@
    org.eclipse.jgit.lfs.server,
    org.eclipse.jgit.pgm,
    org.eclipse.jgit.pgm.test",
- org.eclipse.jgit.internal.storage.pack;version="4.4.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
- org.eclipse.jgit.internal.storage.reftree;version="4.4.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
- org.eclipse.jgit.lib;version="4.4.0";
+ org.eclipse.jgit.internal.storage.pack;version="4.5.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
+ org.eclipse.jgit.internal.storage.reftree;version="4.5.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
+ org.eclipse.jgit.lib;version="4.5.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util,
@@ -84,32 +84,32 @@
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.transport,
    org.eclipse.jgit.submodule",
- org.eclipse.jgit.merge;version="4.4.0";
+ org.eclipse.jgit.merge;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.diff,
    org.eclipse.jgit.dircache,
    org.eclipse.jgit.api",
- org.eclipse.jgit.nls;version="4.4.0",
- org.eclipse.jgit.notes;version="4.4.0";
+ org.eclipse.jgit.nls;version="4.5.0",
+ org.eclipse.jgit.notes;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.merge",
- org.eclipse.jgit.patch;version="4.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.diff",
- org.eclipse.jgit.revplot;version="4.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.revwalk",
- org.eclipse.jgit.revwalk;version="4.4.0";
+ org.eclipse.jgit.patch;version="4.5.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.diff",
+ org.eclipse.jgit.revplot;version="4.5.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.revwalk",
+ org.eclipse.jgit.revwalk;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff,
    org.eclipse.jgit.revwalk.filter",
- org.eclipse.jgit.revwalk.filter;version="4.4.0";uses:="org.eclipse.jgit.revwalk,org.eclipse.jgit.lib,org.eclipse.jgit.util",
- org.eclipse.jgit.storage.file;version="4.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.util",
- org.eclipse.jgit.storage.pack;version="4.4.0";uses:="org.eclipse.jgit.lib",
- org.eclipse.jgit.submodule;version="4.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.treewalk.filter,org.eclipse.jgit.treewalk",
- org.eclipse.jgit.transport;version="4.4.0";
+ org.eclipse.jgit.revwalk.filter;version="4.5.0";uses:="org.eclipse.jgit.revwalk,org.eclipse.jgit.lib,org.eclipse.jgit.util",
+ org.eclipse.jgit.storage.file;version="4.5.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.util",
+ org.eclipse.jgit.storage.pack;version="4.5.0";uses:="org.eclipse.jgit.lib",
+ org.eclipse.jgit.submodule;version="4.5.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.treewalk.filter,org.eclipse.jgit.treewalk",
+ org.eclipse.jgit.transport;version="4.5.0";
   uses:="org.eclipse.jgit.transport.resolver,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.internal.storage.pack,
@@ -121,22 +121,22 @@
    org.eclipse.jgit.transport.http,
    org.eclipse.jgit.errors,
    org.eclipse.jgit.storage.pack",
- org.eclipse.jgit.transport.http;version="4.4.0";uses:="javax.net.ssl",
- org.eclipse.jgit.transport.resolver;version="4.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.transport",
- org.eclipse.jgit.treewalk;version="4.4.0";
+ org.eclipse.jgit.transport.http;version="4.5.0";uses:="javax.net.ssl",
+ org.eclipse.jgit.transport.resolver;version="4.5.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.transport",
+ org.eclipse.jgit.treewalk;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.attributes,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util,
    org.eclipse.jgit.dircache",
- org.eclipse.jgit.treewalk.filter;version="4.4.0";uses:="org.eclipse.jgit.treewalk",
- org.eclipse.jgit.util;version="4.4.0";
+ org.eclipse.jgit.treewalk.filter;version="4.5.0";uses:="org.eclipse.jgit.treewalk",
+ org.eclipse.jgit.util;version="4.5.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.transport.http,
    org.eclipse.jgit.storage.file,
    org.ietf.jgss",
- org.eclipse.jgit.util.io;version="4.4.0"
+ org.eclipse.jgit.util.io;version="4.5.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Require-Bundle: com.jcraft.jsch;bundle-version="[0.1.37,0.2.0)"
 Import-Package: com.googlecode.javaewah;version="[0.7.9,0.8.0)",
diff --git a/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
index 0e3dff8..d0b7859 100644
--- a/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit - Sources
 Bundle-SymbolicName: org.eclipse.jgit.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 4.4.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit;version="4.4.0.qualifier";roots="."
+Bundle-Version: 4.5.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit;version="4.5.0.qualifier";roots="."
diff --git a/org.eclipse.jgit/pom.xml b/org.eclipse.jgit/pom.xml
index 0ae6b5d..1f8907e 100644
--- a/org.eclipse.jgit/pom.xml
+++ b/org.eclipse.jgit/pom.xml
@@ -53,7 +53,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>4.4.0-SNAPSHOT</version>
+    <version>4.5.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit</artifactId>
diff --git a/pom.xml b/pom.xml
index 9dc6427..59bce43 100644
--- a/pom.xml
+++ b/pom.xml
@@ -51,7 +51,7 @@
   <groupId>org.eclipse.jgit</groupId>
   <artifactId>org.eclipse.jgit-parent</artifactId>
   <packaging>pom</packaging>
-  <version>4.4.0-SNAPSHOT</version>
+  <version>4.5.0-SNAPSHOT</version>
 
   <name>JGit - Parent</name>
   <url>${jgit-url}</url>